Subject: Re: bug#56038: Unable to edit booleans with 'help-fns-edit-variable'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 17 Jun 2022 16:31:14 +0200

Stefan Kangas <[email-masked]> writes:

> I'm unable to edit booleans with `help-fns-edit-variable'.
>
> For example, if I have this "*Help*" buffer
>
>     help-enable-variable-value-editing is a variable defined in ‘help-fns.el’.
>
>     Its value is t
>     Original value was nil
>
> and put point on `t' on the second to last row, and then type `e', I get
> the error "e is undefined".  My expectation is that I should be able to
> edit this value.

Hm, yes -- this is fallout of a previous fix that attempted to not
override buttons on values that are functions.  But it was pretty
misguided, so I've now reverted it and fixed that in a different way.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no